// debug_tools.h
// e.moon 9mar99		(BeDub)
// e.moon 6oct98		(baxter)

#ifndef __BEDUB_DEBUGTOOLS_H__
#define __BEDUB_DEBUGTOOLS_H__
//#include "defs.h"

// export definition
#define EXPORTFN	__declspec(dllexport)

#include <Debug.h>
#include <cstdio>

#if !NDEBUG
#define FPRINTF fprintf
#else
#define FPRINTF
#endif

#define D_PRINTF			FPRINTF

#include <iostream>

#include <stdexcept>

#include <Point.h>
#include <Rect.h>

string point_to_string(const BPoint& p);
string rect_to_string(const BRect& r);
string id_to_string(uint32 n);

void show_alert(char* pFormat, ...); //nyi

#endif /* __BEDUB_DEBUGTOOLS_H__ */
